• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Up to date prefix

Enguerran A

Well-known member
#1
Hello,

with the unmaintained prefix that helps us to know if a ressource is still maintained by its author, I think that it should be nice to have a prefix to let us know when an addon is available for the lastest version of Xenforo, or at the very least the last version supported by the addon (set by the author in this case).
 

Enguerran A

Well-known member
#3
Yes there are but you have to click on the thread to see if it's compatible. There is no way to look for addons compatible with a certain xenforo version. We can look for Free addons, Paid addons, Unmaintained addons, but nothing for 1.4 addons when some of them there are maybe not compatible with.
 

Brogan

XenForo moderator
Staff member
#4
What happens when the author sets the prefix when XF is at 1.1 and then doesn't update the prefix when a new XF version is released?

The current system requires explicit action so there can be no misunderstanding.
 

Enguerran A

Well-known member
#5
When we create a ressource, we can check which version the addon is compatible with. Many of authors, if not all of them, update it when major updates are released. Maybe this can be the key to success ^^
 

Brogan

XenForo moderator
Staff member
#6
The current system errs on the side of caution.

If the author doesn't update the add-on, you assume it isn't compatible with any version which isn't listed.

Your proposal would result in resources being incorrectly prefixed.
 

Enguerran A

Well-known member
#7
If an author forget to say that his addon is compatible with the lastest version of XenForo by checking the 1.4 (for now) checkbox, it would leads to the same thing.
What i propose would simply allow us to find correctly prefixed addons faster to avoid us loosing too much time on it. The main thing there (the version) is currently unsortable. Knowing that an addon is a paid one is useless if this addon isn't available for you ;)
 

Brogan

XenForo moderator
Staff member
#8
If an author forget to say that his addon is compatible with the lastest version of XenForo by checking the 1.4 (for now) checkbox, it would leads to the same thing.
No, it wouldn't.

Not installing something because it doesn't state it is compatible with 1.4 is the exact opposite of installing something because it has an out of date 'up to date' prefix.
 

Enguerran A

Well-known member
#9
If the author doesn't update the add-on, you assume it isn't compatible with any version which isn't listed.
If the author doesn't check the last version available, you assume it isn't compatible etc... but maybe I'm the only one to assume that...

It is what I wanted to say when I told you hat it would lead to the same thing ^^

I'm sure no one there would install an addon that clearly say it's compatible with Xenforo 1.0 and no other version after 1.0. Maybe it is compatible however there is no way to be sure of that unless people, or the author himself, state it is compatible, but I have more trust in the author than in users.

Maybe 2.0 will require something like that..
 

Divvens

Well-known member
#10
If the author doesn't check the last version available, you assume it isn't compatible etc... but maybe I'm the only one to assume that...

It is what I wanted to say when I told you hat it would lead to the same thing ^^

I'm sure no one there would install an addon that clearly say it's compatible with Xenforo 1.0 and no other version after 1.0. Maybe it is compatible however there is no way to be sure of that unless people, or the author himself, state it is compatible, but I have more trust in the author than in users.

Maybe 2.0 will require something like that..
The main issue that @Brogan is trying to say is

Current XF Version - 1.4.2
Add-on author sets prefix to "Up-To-Date"
XenForo releases XF Version 1.4.3 / 1.5 ... etc
Add-on author doesn't change prefix, for whatever reason. Its not possible to be online everyday for some people, or they just forget.

It causes more confusion than helping, where-as the opposite currently in place is easier to tag/prefix and will not cause confusion. The best way to check if an add-on is up-to-date is by checking the description and the field where it says what versions of XenForo the add-on supports - as the author updates that only after updating their add-on.
 

Enguerran A

Well-known member
#11
I know that and I myself check each addons I have very often, and you are right, maybe prefixes are too much and can cause confusion.
What about having a new criteria that would allows us to display addons/ressources ready for a specific version then? Not as a prefix but in the filters section. It would still be helpful but not invasive.